LibreOffice LibreOffice 6.2 SDK API Reference

Variables
com::sun::star::sheet::GeneralFunction2 Constant Group Referencepublished

used to specify a function to be calculated from values. More...

## Variables
const short | NONE = 0
| nothing is calculated. More...
const short | AUTO = 1
| function is determined automatically. More...
const short | SUM = 2
| sum of all numerical values is calculated. More...
const short | COUNT = 3
| all values, including non-numerical values, are counted. More...
const short | AVERAGE = 4
| average of all numerical values is calculated. More...
const short | MAX = 5
| maximum value of all numerical values is calculated. More...
const short | MIN = 6
| minimum value of all numerical values is calculated. More...
const short | PRODUCT = 7
| product of all numerical values is calculated. More...
const short | COUNTNUMS = 8
| numerical values are counted. More...
const short | STDEV = 9
| standard deviation is calculated based on a sample. More...
const short | STDEVP = 10
| standard deviation is calculated based on the entire population. More...
const short | VAR = 11
| variance is calculated based on a sample. More...
const short | VARP = 12
| variance is calculated based on the entire population. More...
const short | MEDIAN = 13
| median of all numerical values is calculated. More...

## Detailed Description

used to specify a function to be calculated from values.

Since
  LibreOffice 5.3

## Variable Documentation

## ◆ AUTO

const short AUTO = 1

function is determined automatically.

If the values are all numerical, SUM is used, otherwise COUNT.

## ◆ AVERAGE

const short AVERAGE = 4

average of all numerical values is calculated.

## ◆ COUNT

const short COUNT = 3

all values, including non-numerical values, are counted.

## ◆ COUNTNUMS

const short COUNTNUMS = 8

numerical values are counted.

## ◆ MAX

const short MAX = 5

maximum value of all numerical values is calculated.

## ◆ MEDIAN

const short MEDIAN = 13

median of all numerical values is calculated.

Since
  LibreOffice 5.3

## ◆ MIN

const short MIN = 6

minimum value of all numerical values is calculated.

## ◆ NONE

const short NONE = 0

nothing is calculated.

## ◆ PRODUCT

const short PRODUCT = 7

product of all numerical values is calculated.

## ◆ STDEV

const short STDEV = 9

standard deviation is calculated based on a sample.

## ◆ STDEVP

const short STDEVP = 10

standard deviation is calculated based on the entire population.

## ◆ SUM

const short SUM = 2

sum of all numerical values is calculated.

## ◆ VAR

const short VAR = 11

variance is calculated based on a sample.

## ◆ VARP

const short VARP = 12

variance is calculated based on the entire population.